package com.company.mystorage.view;

import com.company.mystorage.view.login.LoginView;
import com.vaadin.flow.component.ClickEvent;
import io.jmix.core.FileRef;
import io.jmix.flowui.component.upload.FileStorageUploadField;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.lang.NonNull;

public class AppFileStorageUploadField extends FileStorageUploadField {
	private static final Logger log = LoggerFactory.getLogger(AppFileStorageUploadField.class);

	@Override
	protected void onFileNameClick(@NonNull ClickEvent<?> clickEvent) {
		if (!isEnabled()) {
			return;
		}

		// here we can get custom content, e.g.
		//FileRef value = getValue();
		//if (value != null) {
		//    downloader.download(() ->
		//                    new FileInputStream(getPath() + File.separator + value.getFileName()),
		//            generateFileName());
		//}
		log.info("Clicked on file, custom actions can be done here.");
		// default behaviour
		FileRef value = getValue();
		if (value != null) {
			downloader.download(value);
		}
	}
}
